OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Typedefs | Functions | Variables
DetectEdges.cpp File Reference
`#include "DetectEdges.h"`
`#include <OMToolkit\IO\OMIO.h>`
`#include <OMToolkit\OMProjector.h>`
`#include <OMToolkit\OMTypes.h>`
`#include <OpenMesh\Tools\Utils\Timer.hh>`

## Typedefs
typedef OMToolkit::Types::ModuleMeshd | MeshT

## Functions
int | main (int argc, char *argv[])

## Variables
const std::string | MODULE_DESCRIPTION = "Module that rasterizes vertex neighbourhood on a tangent raster"
const std::string | MODULE_ARGUMENTS = "size:relative:resolution:xdir:zdir"
const std::string | MODULE_ARG_SIZE = "size"
const std::string | MODULE_ARG_RES = "resolution"
const std::string | MODULE_ARG_XDIR = "xdir"
const std::string | MODULE_ARG_ZDIR = "zdir"
const std::string | MODULE_ARG_RELATIVE = "relative"
const double | SIZE_DEFAULT = 2.0
const double | RES_DEFAULT = 3.0
const bool | RELATIVE_DEFAULT = false
const std::string | ZDIR_CURVATURE = "curvature"
const std::string | ZDIR_ZDIR = "z"
const std::string | ZDIR_NORMALS = "normals"
const std::string | ZDIR_DEFAULT = ZDIR_ZDIR
const std::string | XDIR_CURVATURE = "curvature"
const std::string | XDIR_NONE = "none"
const std::string | XDIR_DEFAULT = XDIR_NONE

## Detailed Description

OpenMesh Toolkit for mesh analysis
Copyright (c) 2010 by Rostislav Hulik

Author: Rostislav Hulik, ihuli.nosp@m.k@fi.nosp@m.t.vut.nosp@m.br.c.nosp@m.z
Date: 2010/11/21

Module description:

- Module rasterizes vertex neighbourhood on a tangent raster
- Result is sent to connected MDSTk channel

## Typedef Documentation

typedef OMToolkit::Types::ModuleMeshd MeshT

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

## Variable Documentation

const std::string MODULE_ARG_RELATIVE = "relative"

const std::string MODULE_ARG_RES = "resolution"

const std::string MODULE_ARG_SIZE = "size"

const std::string MODULE_ARG_XDIR = "xdir"

const std::string MODULE_ARG_ZDIR = "zdir"

const std::string MODULE_ARGUMENTS = "size:relative:resolution:xdir:zdir"

const std::string MODULE_DESCRIPTION = "Module that rasterizes vertex neighbourhood on a tangent raster"

const bool RELATIVE_DEFAULT = false

const double RES_DEFAULT = 3.0

const double SIZE_DEFAULT = 2.0

const std::string XDIR_CURVATURE = "curvature"

const std::string XDIR_DEFAULT = XDIR_NONE

const std::string XDIR_NONE = "none"

const std::string ZDIR_CURVATURE = "curvature"

const std::string ZDIR_DEFAULT = ZDIR_ZDIR

const std::string ZDIR_NORMALS = "normals"

const std::string ZDIR_ZDIR = "z"